[Distutils] Package in both setup_requires and install_requires will not be installed

Michael Hoffman b3i4old02 at sneakemail.com
Sat Jan 19 12:04:44 CET 2008

Phillip J. Eby wrote:
> At 11:23 PM 9/15/2007 +0100, Michael Hoffman wrote:
>> If you specify a package in setup_requires it will be built in the
>> current directory. But even if it is in install_requires as well, it
>> won't be installed because the requirement is already satisfied at setup
>> time by the package in the build directory.
> It is now fixed in the trunk and 0.6 branch.  I expect to be making a 
> new release in a few weeks, at which time you'll be able to update 
> your ez_setup.py version to require a version of setuptools that 
> doesn't have this problem any more.

Excellent. Thanks!

More information about the Distutils-SIG mailing list